%define name		howl-logger
%define version		0.1.8
%define release		1jpp
%define	section		free


Name:		%{name}
Summary:	High speed ObjectWeb logger
Url:		http://howl.objectweb.org/
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	Apache Software License 2
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
BuildArch:	noarch
Source0:	howl-logger-%{version}-src.tar.gz
# cvs -d:pserver:anonymous@cvs.forge.objectweb.org:/cvsroot/howl login
# cvs -z3 -d:pserver:anonymous@cvs.forge.objectweb.org:/cvsroot/howl export -r HOWL_0_1_8 howl/logger
Source1:        pom-maven2jpp-depcat.xsl
Source2:        pom-maven2jpp-newdepmap.xsl
Source3:        pom-maven2jpp-mapdeps.xsl
Source4:	howl-logger-%{version}-jpp-depmap.xml
Patch0:		howl-logger-%{version}-jpp.patch

BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:	ant >= 0:1.6
BuildRequires:	junit
BuildRequires:	maven
BuildRequires:	saxon-scripts
#
#
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
HOWL is a logger implementation providing features 
required by the ObjectWeb JOTM project, with a public 
API that is generally usable by any Transaction Manager. 
HOWL uses unformatted binary logs to maximize performance 
and specifies a journalization API with methods necessary 
to support JOTM recovery operations. 

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
%{summary}.

%prep
%setup -q -n logger
chmod -R go=u-w *
find . -name "*.jar" -exec rm -f {} \;
export DEPCAT=$(pwd)/howl-logger-%{version}-depcat.new.xml
echo '<?xml version="1.0" standalone="yes"?>' > $DEPCAT
echo '<depset>' >> $DEPCAT
for p in $(find . -name project.xml); do
    pushd $(dirname $p)
    /usr/bin/saxon project.xml %{SOURCE1} >> $DEPCAT
    popd
done
echo >> $DEPCAT
echo '</depset>' >> $DEPCAT
/usr/bin/saxon $DEPCAT %{SOURCE2} > howl-logger-%{version}-depmap.new.xml

%patch0 -b .sav

%build
for p in $(find . -name project.xml); do
    pushd $(dirname $p)
    cp project.xml project.xml.orig
    /usr/bin/saxon -o project.xml project.xml.orig %{SOURCE3} map=%{SOURCE4}
    popd
done

for p in $(find . -name project.properties); do
    echo >> $p
    echo maven.repo.remote=file:/usr/share/maven-1.0/repository >> $p
    echo maven.home.local=$(pwd)/.maven >> $p
done

mkdir -p .maven/repository/JPP/jars
pushd .maven/repository/JPP/jars
ln -sf $(build-classpath junit) junit.jar
popd

[ -z "$JAVA_HOME" ] && JAVA_HOME=%{_jvmdir}/java
export JAVA_HOME

maven -Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
      -Dmaven.javadoc.source=1.4 \
		jar:jar javadoc:generate

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 target/%{name}-%{version}.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE.txt
%{_javadir}/*

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Fri Mar 04 2005 Fernando Nasser <fnasser@redhat.com> 0:0.1.8-1jpp
- Add missing build dependency on saxon-scripts
- Upgrade to 0.1.8

* Tue Feb 01 2005 Ralph Apel <r.apel at r-apel.de> 0:0.1.7-2jpp
- Process project.xml files with saxon
- Don't tamper with $HOME
- Don't use build-jar-repository; explicitly ln -sf $(build-classpath ...)

* Mon Oct 11 2004 Ralph Apel <r.apel at r-apel.de> 0:0.1.7-1jpp
- First release

